Trabajar con control de versiones

Para permitir que personas desarrollen o utilicen tu paquete exitosamente, debes asegurarte de que todos los archivos necesarios sean parte del control de versiones.

Archivos Requeridos

Los siguientes archivos deben ser parte de control de versiones para que cualquier persona pueda ser capaz de gestionar tu paquete:

  • package.json: Esto tiene todas las dependencias actuales de tu paquete.
  • yarn.lock: Esto almacena las versiones exactas de cada dependencia de tu paquete.
  • El código fuente que proporciona la funcionalidad de tu paquete.

Revisa el Paquete de ejemplo de Yarn para saber los requerimientos mínimos necesarios para un paquete Yarn.